package com.ningdatech.pmapi.meeting.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * InviteStatisticsVO
 * </p>
 *
 * @author WendyYang
 * @since 18:07 2023/3/4
 */
@Data
public class InviteStatisticsByRuleVO {

    @ApiModelProperty("抽取规则ID")
    private Long ruleId;

    @ApiModelProperty("抽取人数")
    private Integer inviteCnt;

    @ApiModelProperty("同意人数")
    private Integer agreeCnt;

    @ApiModelProperty("实抽人数")
    private Integer noticedCnt;

    public static InviteStatisticsByRuleVO init(Long ruleId) {
        InviteStatisticsByRuleVO statistics = new InviteStatisticsByRuleVO();
        statistics.setRuleId(ruleId);
        statistics.setNoticedCnt(0);
        statistics.setInviteCnt(0);
        statistics.setAgreeCnt(0);
        return statistics;
    }

    public void incrInviteCnt() {
        this.inviteCnt++;
    }

    public void incrAgreeCnt() {
        this.agreeCnt++;
    }

    public void incrNoticedCnt() {
        this.noticedCnt++;
    }

}
